﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web;
using System.Net.Http;
using System.Web.Http;
using ServerOperations.Models;
using System.Collections;
using System.Web.Http.OData;
using System.Web.Http.OData.Query;

namespace ServerOperations.Controllers
{
    public class OrdersController : ApiController
    {
        NorthwindDataContext db = new NorthwindDataContext();
        
        // GET api/<controller>       
        public object Get()
        {
            List<OrdersView> ord = db.OrdersViews.ToList();
            var queryString = HttpContext.Current.Request.QueryString;
            int skip = Convert.ToInt32(queryString["$skip"]);
            int take = Convert.ToInt32(queryString["$top"]);
            string sort =queryString["$orderby"];  
            var filter = queryString["$filter"];
            var count = ord.Count;
            ord = ord.Skip(skip).Take(take).ToList();

            return new {Items = ord, Count = count };
        }        
       
    }
}